Updates the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "c1d0c673-93ee-4a93-bf4f-f8820f7ccace",
"user_id": "8ca8adac-13cd-4726-9d95-f372f3d31098",
"user_planning_slot_type_id": "0e89e979-0690-451e-94fc-02f61cac1fa0",
"date_from": "2026-11-02T15:35:49.9757403+00:00",
"date_to": "2026-11-02T15:35:49.9757403+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-02T15:35:49.9757403+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.